# Generated from sculd-0.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sculd

Name: rubygem-%{gem_name}
Version: 0.2.2
Release: 1%{?dist}
Summary: Sculd, SChedULe Dealer
License: MIT
URL: http://github.com/ippei94da/sculd
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 3.2
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(jeweler) >= 2.0
# BuildRequires: rubygem(jeweler) < 3
# BuildRequires: rubygem(simplecov) >= 0.11
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(highline) >= 1.6
# BuildRequires: rubygem(highline) < 2
BuildArch: noarch

%description
Schedule management system using 'howm' like format. Plans, i.e., schedule(@),
reminder(-), deadline(!), and tood(+), make events and tasks. Command 'sculd'
can output events on each date and tasks with high priority. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/dates
%{_bindir}/sculd
%{gem_instdir}/CHANGES
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/sculd.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 0.2.2-1
- Initial package
